/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __PIPEMAN_HEADER__
#define __PIPEMAN_HEADER__

#include <qpe/qpemenubar.h>
#include <qmainwindow.h>
#include <qpopupmenu.h>
#include "Board.h"

class Pipeman : public QMainWindow
{
    Q_OBJECT

public:
    Pipeman(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~Pipeman();

private:
    void readConfig(void);
    void writeConfig(void);

private:
    Board *m_board;
    QPopupMenu *m_timeMenu;
    QPopupMenu *m_partsMenu;
    QPopupMenu *m_levelMenu;
    int m_time;
    int m_parts;
    int m_level;

protected slots:
    void updateTime(int time);
    void updateParts(int parts);
    void updateLevel(int level);
};

#endif // __PIPEMAN_HEADER__

